Create or update a role
- Base URL
-
https://{kibana_url}
- PUT /api/security/role/{name}
Create a new Kibana role or update the attributes of an existing role. Kibana roles are stored in the Elasticsearch native realm.
Request body
-
elasticsearchobjectrequired -
The Elasticsearch cluster, index, and remote cluster security privileges for the role.
-
indicesobject · max items: 1000 -
allow_restricted_indicesboolean -
Restricted indices are a special category of indices that are used internally to store configuration data and should not be directly accessed. Only internal system roles should normally grant privileges over the restricted indices. Toggling this flag is very strongly discouraged because it could effectively grant unrestricted operations on critical data, making the entire system unstable or leaking sensitive information. If for administrative purposes you need to create a role with privileges covering restricted indices, however, you can set this property to true. In that case, the names field covers the restricted indices too.
-
remote_indicesobject · max items: 1000 -
allow_restricted_indicesboolean -
Restricted indices are a special category of indices that are used internally to store configuration data and should not be directly accessed. Only internal system roles should normally grant privileges over the restricted indices. Toggling this flag is very strongly discouraged because it could effectively grant unrestricted operations on critical data, making the entire system unstable or leaking sensitive information. If for administrative purposes you need to create a role with privileges covering restricted indices, however, you can set this property to true. In that case, the names field will cover the restricted indices too.
Response
Indicates a successful call.